/*
 * Class EV_HELP_CONTEXTABLE
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_974 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_974 [] = {0xFF01,1551,973,0xFFFF};
static const EIF_TYPE_INDEX egt_2_974 [] = {0xFF01,973,0xFFFF};
static const EIF_TYPE_INDEX egt_3_974 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_974 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_974 [] = {0xFF01,973,0xFFFF};
static const EIF_TYPE_INDEX egt_6_974 [] = {0xFF01,973,0xFFFF};
static const EIF_TYPE_INDEX egt_7_974 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_974 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_974 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_974 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_974 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_974 [] = {0xFF01,973,0xFFFF};
static const EIF_TYPE_INDEX egt_13_974 [] = {0xFF01,1128,0xFFFF};
static const EIF_TYPE_INDEX egt_14_974 [] = {0xFF01,1141,0xFFFF};
static const EIF_TYPE_INDEX egt_15_974 [] = {1594,0xFF01,0,0xFF01,0xFFF9,0,840,0xFF01,279,0xFFFF};


static const struct desc_info desc_974[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_974), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_974), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_974), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24205, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_974), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_974), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_974), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_974), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_974), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_974), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_974), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_974), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_974), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24213, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x079B /*973*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_974), 30, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01 /*0*/), 24214, 0},
	{EIF_GENERIC(NULL), 24215, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24200, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24201, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_974), 24468, 4},
	{EIF_GENERIC(NULL), 24203, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), -1, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24204, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24206, 0xFFFFFFFF},
	{EIF_GENERIC(egt_14_974), 24207, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06A7 /*851*/), 24208, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24209, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24210, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 24211, 0xFFFFFFFF},
	{EIF_GENERIC(egt_15_974), 24465, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24466, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 24467, 0xFFFFFFFF},
};
void Init974(void)
{
	IDSC(desc_974, 0, 973);
	IDSC(desc_974 + 1, 1, 973);
	IDSC(desc_974 + 32, 1593, 973);
	IDSC(desc_974 + 47, 1076, 973);
}


#ifdef __cplusplus
}
#endif
